Bug 1567836 - star crashes on restore default acls
Summary: star crashes on restore default acls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: star
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1567841
TreeView+ depends on / blocked
 
Reported: 2018-04-16 09:30 UTC by Vaclav Danek
Modified: 2018-08-03 20:48 UTC (History)
3 users (show)

Fixed In Version: star-1.5.3-14.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1567841 (view as bug list)
Environment:
Last Closed: 2018-08-03 20:48:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Vaclav Danek 2018-04-16 09:30:43 UTC
Description of problem:
star crashes when restoring directory with default acl set

Version-Release number of selected component (if applicable):
star-1.5.3-10.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/tmp.8ucWrzgBB6
2. setfacl -d -m u::rx /tmp/tmp.8ucWrzgBB6
3. star H=exustar -acl -c -v f=/tmp/tmp.CgbTC8rrGF /tmp/tmp.8ucWrzgBB6  &>/dev/null
4. rm -rf /tmp/tmp.8ucWrzgBB6
5. cd /
6. star -acl -x -v f=/tmp/tmp.CgbTC8rrGF &>/dev/null

Actual results:
Segmentation fault      (core dumped)

Expected results:
Folder restored

Additional info:

Comment 1 Pavel Raiskup 2018-06-15 11:16:15 UTC
Upstream report:
https://sourceforge.net/p/s-tar/mailman/message/36343553/

Comment 2 Fedora Update System 2018-08-01 12:53:27 UTC
star-1.5.3-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31338dae03

Comment 3 Fedora Update System 2018-08-01 18:26:42 UTC
star-1.5.3-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31338dae03

Comment 4 Fedora Update System 2018-08-03 20:48:08 UTC
star-1.5.3-14.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.